---
title: WorkerGlobalScope.onclose
slug: Web/API/WorkerGlobalScope/onclose
tags:
  - API
  - Event Handler
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Workers
  - WorkerGlobalScope
  - onclose
---
<p>{{APIRef("Web Workers API")}}{{obsolete_header}}{{Non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <strong><code>onclose</code></strong> property of the {{domxref("WorkerGlobalScope")}} interface represents an {{domxref("EventHandler")}} to be called when the {{event("close")}} event occurs and bubbles through the {{domxref("Worker")}}.</p>

<div class="warning">
<p>This non-standard event handler was only implemented by a few browsers and has been removed from all or nearly all of them.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre>self.onclose = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following code snippet shows an <code>onclose</code> handler set inside a worker:</p>

<pre class="brush: js">self.onclose = function() {
  console.log('Your worker instance has been closed');
}</pre>

<h2 id="Specifications">Specifications</h2>

<p>This feature is no longer defined in any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.onclose")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("WorkerGlobalScope")}} interface it belongs to.</li>
</ul>
